Get task statuses
GEThttps://app.mitzu.io/api/v1/projects/:project_id/tasks
Returns the status of one or more tasks. At least one task_id query parameter is required. Maximum 50 tasks can be queried at once.
Request
Path Parameters
project_id stringrequired
The ID of the project
Query Parameters
task_id string[]required
The ID of a task to query. Can be specified multiple times to query multiple tasks.
Responses
- 200
- 400
- 401
- 405
- 429
OK
- application/json
- Schema
- Example (auto)
Schema
tasks object
{
"tasks": {}
}
The request is invalid.
- application/json
- Schema
- Example (auto)
Schema
messagestring
Example:
Event table is disabled{
"message": "Event table is disabled"
}
The API key header is either missing or an invalid API key is given
The requested HTTP method is not allowed.
Too many requests sent with the same API key. Up to 10 requests can be sent within 1 second.
Authorization: x-mitzu-api-key
name: x-mitzu-api-keytype: apiKeydescription: ## API Key You can generate a new API key on the Account Settings -> API keys page. in: header
- python
- curl
- http
- java
- go
- HTTP.CLIENT
- REQUESTS
import http.client
conn = http.client.HTTPSConnection("app.mitzu.io")
payload = ''
headers = {
'Accept': 'application/json',
'x-mitzu-api-key': '<x-mitzu-api-key>'
}
conn.request("GET", "/api/v1/projects/:project_id/tasks", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
ResponseClear